UPDATE _columnas
SET requerido = 0
WHERE requerido = 1

UPDATE _columnas
SET requerido = 1
WHERE columna in('id_usuario_recibe') AND tabla = 'doc_documento.salida'

UPDATE _columnas
SET requerido = 1
WHERE columna in('id_usuario_recibe','esAIU', 'validez', 'contacto', 'documento.cotizacion', 'id_usuario_asesor', 'esPorAjuste'
) AND tabla = 'doc_documento.entrada'

UPDATE _columnas
SET requerido = 1
WHERE columna in('version','esAIU', 'validez', 'contacto', 'documento.cotizacion', 'id_usuario_asesor') AND tabla = 'doc_documento.cotizacion'

UPDATE _columnas
SET requerido = 1
WHERE columna in('documento.alquiler','mesVencido', 'fechaSugerida_fh') AND tabla = 'doc_documento.alquiler'

UPDATE _columnas
SET requerido = 1
WHERE columna in('asunto','fechaPago_ff', 'id_bodega_destino', 'fechaPago_ff') AND tabla = 'doc_documento.ordenCompra'

UPDATE _columnas
SET requerido = 1
WHERE columna in('id_bodega_origen','id_zona', 'id_bodega_destino') AND tabla = 'doc_documento.traslado'

UPDATE _columnas
SET requerido = 1
WHERE columna in('id_sucursal','id_zona', 'solicitante', 'direccion', 'telefono', 'id_departamentoSolicitud'
, 'id_medioSolicitud', 'documento.solicitud', 'solucionTelefonica') AND tabla = 'doc_documento.solicitud'

UPDATE _columnas
SET requerido = 1
WHERE columna in('id_tipoServicio','id_departamentoSolicitud', 'id_sucursal', 'id_zona', 'contacto', 'direccionUbicacion'
, 'telefono', 'motivoServicio') AND tabla = 'doc_documento.ot'

UPDATE _columnas
SET requerido = 1
WHERE columna in('documento','fecha_fh', 'id_tercero_cliente', 'id_prioridadDocumento', 'fechaLimite_fh', 'fechaSugerida_fh'
,'id_moneda', 'id_tercero_proveedor', 'subtotal', 'descuento', 'iva', 'total', 'costo') AND tabla = 'doc_documento'